Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Equinox » - P2 - No action found for: org.eclipse.equinox.p2.touchpoint.eclipse.addRepository.
- P2 - No action found for: org.eclipse.equinox.p2.touchpoint.eclipse.addRepository. [message #504292] Fri, 18 December 2009 05:53 Go to next message
sommer  is currently offline sommer Friend
Messages: 4
Registered: December 2009
Junior Member
Hello everyone,
I am sorry to post this one again. I already posted it in the p2 dev - Forum but it seems nothing happens there. And it seems question depending p2 are answered in this forum.

We have a working update site for a rcp-product and we use eclipse3.4. I created the product with the org.eclipse.equinox.p2.director.
Now we want to upgrade to 3.5 and there starts the problem. If I use the same configuration with the change of some depending plugins I can create a running rcp product but I cannot add repositories to the available software site page because the add button is missing. Then I read of the possibility to use the p2.inf file. Now the rcp product shows the update site.
If I want to upgrade the rcp-product directly from the update site, because that is what I have to do with around 30 installations, the upgrade first seems to work. But then after everything is downloaded I get the following error while configuring the rcp-product bundle:

An error occurred while configuring the installed items
java.lang.IllegalArgumentException: No action found for: org.eclipse.equinox.p2.touchpoint.eclipse.addRepository.
at org.eclipse.equinox.internal.p2.engine.InstructionParser.loo kupAction(
at org.eclipse.equinox.internal.p2.engine.InstructionParser.par seAction(
at org.eclipse.equinox.internal.p2.engine.InstructionParser.par seActions(
at org.eclipse.equinox.internal.provisional.p2.engine.Installab leUnitPhase.getActions(
at org.eclipse.equinox.internal.provisional.p2.engine.phases.Co nfigure.getActions(
at org.eclipse.equinox.internal.provisional.p2.engine.Installab leUnitPhase.getActions(
at org.eclipse.equinox.internal.provisional.p2.engine.Phase.mai nPerform(
at org.eclipse.equinox.internal.provisional.p2.engine.Phase.per form(
at org.eclipse.equinox.internal.provisional.p2.engine.Installab leUnitPhase.perform(
at org.eclipse.equinox.internal.provisional.p2.engine.Phase.per form(
at org.eclipse.equinox.internal.provisional.p2.engine.PhaseSet. perform(
at rform(
at org.eclipse.equinox.internal.provisional.p2.ui.operations.Pr ovisioningUtil.performProvisioningPlan( :265)
at org.eclipse.equinox.internal.provisional.p2.ui.operations.Pr ofileModificationOperation.doExecute(ProfileModificationOper
at org.eclipse.equinox.internal.provisional.p2.ui.operations.Pr ovisioningOperation.execute(
at org.eclipse.equinox.internal.provisional.p2.ui.ProvisioningO perationRunner$

In all other posts there is the hint to use the fully qualified name. But that is what I am doing.
Is there a problem because the addRepository-action didn't exist under 3.4? But I thought this should not make any problem configuring the new product depending on 3.5.
If I upgrade the 3.4-version to 3.5 without the p2.inf it works, but all Update-site setting are lost and cannot be added directly because of the missing add button.

I hope you understand my problem and can help me.
Re: - P2 - No action found for: org.eclipse.equinox.p2.touchpoint.eclipse.addRepository. [message #504652 is a reply to message #504292] Mon, 21 December 2009 21:59 Go to previous messageGo to next message
Phil Denis is currently offline Phil DenisFriend
Messages: 26
Registered: October 2009
Junior Member
Do you have the following bundles in your product configuration:

Neither of these bundles is required by any of the P2 provisioning bundles, so "Add required plugins" won't pick them up. You have to check them off manually...

Re: - P2 - No action found for: org.eclipse.equinox.p2.touchpoint.eclipse.addRepository. [message #504703 is a reply to message #504652] Tue, 22 December 2009 09:43 Go to previous message
sommer  is currently offline sommer Friend
Messages: 4
Registered: December 2009
Junior Member
Hi Phil,
thanks for your answer but it didn't really help me. I have these two bundles installed in my product.
My Problem is not to have an Update Site in my product but the upgrade from the 3.4-product to 3.5.
Standalone they both work.

Thanks Hauke

Previous Topic:ExtensionRegistryTestSupport
Next Topic:DS & lazy loading of services
Goto Forum:

Current Time: Mon Nov 30 19:06:19 GMT 2015

Powered by FUDForum. Page generated in 0.02095 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software